<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__pin__package_8h" kind="file" language="C++">
    <compoundname>cyhal_pin_package.h</compoundname>
    <includes local="yes">cy_gpio.h</includes>
    <includes local="yes">cy_device.h</includes>
    <includedby local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includedby>
    <includedby local="yes" refid="cyhal__analog__common_8c">cyhal_analog_common.c</includedby>
    <includedby local="yes" refid="cyhal__pdmpcm_8h">cyhal_pdmpcm.h</includedby>
    <incdepgraph>
      <node id="202">
        <label>cy_device.h</label>
      </node>
      <node id="200">
        <label>cyhal_pin_package.h</label>
        <link refid="cyhal__pin__package_8h" />
        <childnode refid="201" relation="include">
        </childnode>
        <childnode refid="202" relation="include">
        </childnode>
      </node>
      <node id="201">
        <label>cy_gpio.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__impl__pin__package_1gac30c50b470a38324d9a19057ac1eb0be" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_port_t</name>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea1a8f5fefc99a93f16d7a09b0ace9edee" prot="public">
          <name>CYHAL_PORT_0</name>
          <initializer>= 0x00</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beae2c91655cc2f17bfca174818fc9e3203" prot="public">
          <name>CYHAL_PORT_1</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea4f71e87ae645cdfd8c664514fdd73da3" prot="public">
          <name>CYHAL_PORT_2</name>
          <initializer>= 0x02</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beac56036810c2d51fa2181cff185654153" prot="public">
          <name>CYHAL_PORT_3</name>
          <initializer>= 0x03</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea8199088d4b8f6f6e770dee56d9e5b0bf" prot="public">
          <name>CYHAL_PORT_4</name>
          <initializer>= 0x04</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bead77bf0491b83d37da8d1e7505a3f5fb6" prot="public">
          <name>CYHAL_PORT_5</name>
          <initializer>= 0x05</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beab90042327abf406763929f7bfa848709" prot="public">
          <name>CYHAL_PORT_6</name>
          <initializer>= 0x06</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea080d3ae1720a266d2fd057a511f3d247" prot="public">
          <name>CYHAL_PORT_7</name>
          <initializer>= 0x07</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beac5557bbf13780f1036ac63c5b6658dcf" prot="public">
          <name>CYHAL_PORT_8</name>
          <initializer>= 0x08</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beaa33f1279fec33c0e9fd0ae719f290f12" prot="public">
          <name>CYHAL_PORT_9</name>
          <initializer>= 0x09</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beae9e2fc46f7fedffbf87b837e2db8dc84" prot="public">
          <name>CYHAL_PORT_10</name>
          <initializer>= 0x0A</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea6e1cc309f991b979305267c8295d703a" prot="public">
          <name>CYHAL_PORT_11</name>
          <initializer>= 0x0B</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea7c38b41bc9b9ec0a3562b1e6cd14e0f6" prot="public">
          <name>CYHAL_PORT_12</name>
          <initializer>= 0x0C</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea359657fa8dd0932b15c4b7320f64aba0" prot="public">
          <name>CYHAL_PORT_13</name>
          <initializer>= 0x0D</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea284b3f8cfc42ce2fc3c5e121e9c5f3e1" prot="public">
          <name>CYHAL_PORT_14</name>
          <initializer>= 0x0E</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beae2ee989d5d10d393137c0ceadd66e044" prot="public">
          <name>CYHAL_PORT_15</name>
          <initializer>= 0x0F</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0beaa764b492a3292aa5c84a37178bcdc7a4" prot="public">
          <name>CYHAL_PORT_16</name>
          <initializer>= 0x10</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea0ffd05795bc8ded63464fb76eab7adaf" prot="public">
          <name>CYHAL_PORT_17</name>
          <initializer>= 0x11</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea29afe05dab1a8d723302897b10880f75" prot="public">
          <name>CYHAL_PORT_18</name>
          <initializer>= 0x12</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea3f6e2c41f8b6f652ae4afe6c7cf2da84" prot="public">
          <name>CYHAL_PORT_19</name>
          <initializer>= 0x13</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__impl__pin__package_1ggac30c50b470a38324d9a19057ac1eb0bea47caba3906fd7c41cd29a7000a4b9aee" prot="public">
          <name>CYHAL_PORT_20</name>
          <initializer>= 0x14</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_port_t: </bold><linebreak />Port definitions that individual pins can belong to.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="63" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_pin_package.h" bodystart="41" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_pin_package.h" line="41" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Description: Provides definitions for the pinout for each supported device. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="32"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_0<sp /><sp />=<sp />0x00,</highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_1<sp /><sp />=<sp />0x01,</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_2<sp /><sp />=<sp />0x02,</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_3<sp /><sp />=<sp />0x03,</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_4<sp /><sp />=<sp />0x04,</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_5<sp /><sp />=<sp />0x05,</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_6<sp /><sp />=<sp />0x06,</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_7<sp /><sp />=<sp />0x07,</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_8<sp /><sp />=<sp />0x08,</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_9<sp /><sp />=<sp />0x09,</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_10<sp />=<sp />0x0A,</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_11<sp />=<sp />0x0B,</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_12<sp />=<sp />0x0C,</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_13<sp />=<sp />0x0D,</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_14<sp />=<sp />0x0E,</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_15<sp />=<sp />0x0F,</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_16<sp />=<sp />0x10,</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_17<sp />=<sp />0x11,</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_18<sp />=<sp />0x12,</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_19<sp />=<sp />0x13,</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_PORT_20<sp />=<sp />0x14,</highlight></codeline>
<codeline lineno="63"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package_1gac30c50b470a38324d9a19057ac1eb0be">cyhal_port_t</ref>;</highlight></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="comment">/*<sp />The<sp />items<sp />in<sp />this<sp />cond<sp />block<sp />are<sp />DEPRECATED.<sp />They<sp />are<sp />only<sp />provided<sp />for<sp />mbed<sp />usage.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint16_t<sp />cyhal_gpio_mapping_cfg_t;<sp /></highlight><highlight class="comment">//<sp />8bit<sp />hsiom,<sp />8bit<sp />mode</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />CY_GPIO_CFG_GET_MODE(x)<sp /><sp />((uint8_t)((x)<sp />&amp;<sp />0xFF))</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="preprocessor">#define<sp />CY_GPIO_CFG_GET_HSIOM(x)<sp />((en_hsiom_sel_t)(((x)<sp />&gt;&gt;<sp />8)<sp />&amp;<sp />0xFF))</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_GPIO_CFG_CREATE(hsiom,<sp />mode)<sp /><sp />((cyhal_gpio_mapping_cfg_t)(((hsiom)<sp />&lt;&lt;<sp />8)<sp />+<sp />(mode)))</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_OUT_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(hsiom,<sp />CY_GPIO_DM_STRONG_IN_OFF)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_OUT_BUF_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(hsiom,<sp />CY_GPIO_DM_STRONG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_OD_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(hsiom,<sp />CY_GPIO_DM_OD_DRIVESLOW)</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_IN_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(hsiom,<sp />CY_GPIO_DM_HIGHZ)</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_PULLUP_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(hsiom,<sp />CY_GPIO_DM_PULLUP)</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_ANALOG_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(HSIOM_SEL_GPIO,<sp />CY_GPIO_DM_ANALOG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYHAL_PIN_AUX_FUNCTION(hsiom)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_GPIO_CFG_CREATE(HSIOM_SEL_GPIO,<sp />CY_GPIO_DM_ANALOG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="preprocessor">#include<sp />"cy_device.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(_GPIO_PSOC6_01_104_M_CSP_BLE_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_104_m_csp_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_104_M_CSP_BLE_USB_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_104_m_csp_ble_usb.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_116_BGA_BLE_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_116_bga_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_116_BGA_USB_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_116_bga_usb.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_124_BGA_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_124_bga.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_124_BGA_SIP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_124_bga_sip.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_43_SMT_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_43_smt.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_68_QFN_BLE_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_68_qfn_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_01_80_WLCSP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_01_80_wlcsp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_02_100_WLCSP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_02_100_wlcsp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_02_124_BGA_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_02_124_bga.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_02_128_TQFP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_02_128_tqfp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_02_68_QFN_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_02_68_qfn.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_03_100_TQFP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_03_100_tqfp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_03_49_WLCSP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_03_49_wlcsp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PSOC6_03_68_QFN_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_03_68_qfn.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined<sp />(_GPIO_PSOC6_04_64_TQFP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_04_64_tqfp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined<sp />(_GPIO_PSOC6_04_68_QFN_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_04_68_qfn.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined<sp />(_GPIO_PSOC6_04_80_TQFP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_psoc6_04_80_tqfp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="preprocessor">#elif<sp />defined(_GPIO_PLAYER_128_TQFP_H_)</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"pin_packages/cyhal_mxs28playermcuss_128_tqfp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="preprocessor">#error<sp />"Unhandled<sp />Device/PinPackage<sp />combination"</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal">}</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_pin_package.h" />
  </compounddef>
</doxygen>